Erro ao rodar os códigos "sudo dpkg -i .deb"

1. Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 11:46h

Então, eu tava tentando instalar minha impressora epson aqui no meu ubuntu 20.04, e segundo esse site aqui https://linuxdicasesuporte.blogspot.com/2018/08/instalar-multifuncional-epson-no-ubuntu_24.html eu tenho que instalar os drivers dela no site da epson e fazer mais algumas coisa tbm (recomendo q vc leia o artigo desse site), o problema é q quando eu chego nessa parte do "sudo dpkg -i .deb", dá esse erro:

[email protected]:~/Downloads/Impressora$ sudo dpkg -i .deb
[sudo] senha para pernalongacapitalista:
dpkg: erro: não pode aceder ao arquivo '.deb': Arquivo ou diretório inexistente

Oq faço?



  


2. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Lian Kl
lianKL

(usa Debian)

Enviado em 02/03/2021 - 11:56h

A saída diz que você não selecionou nenhum arquivo .deb.
Para instalar todos os arquivos com a extensão .deb que estão em um diretório, o comando é:

sudo dpkg -i *.deb 


Faltou o asterisco no seu comando.
Se for apenas um arquivo, basta copiar o nome e fazer o mesmo procedimento:

sudo dpkg -i arquivo_de_programa.deb 



3. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 18:01h


lianKL escreveu:

A saída diz que você não selecionou nenhum arquivo .deb.
Para instalar todos os arquivos com a extensão .deb que estão em um diretório, o comando é:

sudo dpkg -i *.deb 


Faltou o asterisco no seu comando.
Se for apenas um arquivo, basta copiar o nome e fazer o mesmo procedimento:

sudo dpkg -i arquivo_de_programa.deb 



Bem, eu digitei o código corretamente, e gerou esse erro: ( lembrando q eu abri a pasta com todos os arquivos no terminal e rodei o código "sudo dpkg -i *.deb".)

...
Mais de uma cópia do pacote epson-inkjet-printer-escpr:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
Mais de uma cópia do pacote epson-printer-utility:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
dpkg: problemas com dependências impedem a configuração de epson-inkjet-printer-escpr:i386:
epson-inkjet-printer-escpr:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-inkjet-printer-escpr:i386 (--install):
problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de epson-printer-utility:i386:
epson-printer-utility:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-printer-utility:i386 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
Erros foram encontrados durante o processamento de:
epson-inkjet-printer-escpr:i386
epson-printer-utility:i386



4. Re: Erro ao rodar os códigos

lucas
bsduser

(usa FreeBSD)

Enviado em 02/03/2021 - 18:33h

PernalongaC escreveu:


lianKL escreveu:

A saída diz que você não selecionou nenhum arquivo .deb.
Para instalar todos os arquivos com a extensão .deb que estão em um diretório, o comando é:

sudo dpkg -i *.deb 


Faltou o asterisco no seu comando.
Se for apenas um arquivo, basta copiar o nome e fazer o mesmo procedimento:

sudo dpkg -i arquivo_de_programa.deb 



Bem, eu digitei o código corretamente, e gerou esse erro: ( lembrando q eu abri a pasta com todos os arquivos no terminal e rodei o código "sudo dpkg -i *.deb".)

...
Mais de uma cópia do pacote epson-inkjet-printer-escpr:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
Mais de uma cópia do pacote epson-printer-utility:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
dpkg: problemas com dependências impedem a configuração de epson-inkjet-printer-escpr:i386:
epson-inkjet-printer-escpr:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-inkjet-printer-escpr:i386 (--install):
problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de epson-printer-utility:i386:
epson-printer-utility:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-printer-utility:i386 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
Erros foram encontrados durante o processamento de:
epson-inkjet-printer-escpr:i386
epson-printer-utility:i386


sudo apt -f install


5. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Paulo Jr
Pebis

(usa Debian)

Enviado em 02/03/2021 - 18:33h


Veja bem:

Do site da Epson

[Notice]
In order to install these drivers, you need to install LSB package (version 3.2 or later) beforehand.

Ubuntu:
# apt-get install lsb




6. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 18:39h


Pebis escreveu:


Veja bem:

Do site da Epson

[Notice]
In order to install these drivers, you need to install LSB package (version 3.2 or later) beforehand.

Ubuntu:
# apt-get install lsb



Eu instalei isso faz tempo


7. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 02/03/2021 - 18:43h

PernalongaC escreveu: Então, eu tava tentando instalar minha impressora epson aqui no meu ubuntu 20.04, e segundo esse site aqui:
https://linuxdicasesuporte.blogspot.com/2018/08/instalar-multifuncional-epson-no-ubuntu_24.html
Mais de uma cópia do pacote epson-inkjet-printer-escpr:i386 foi desempacotada .....
dpkg: erro ao processar o pacote epson-printer-utility:i386 .....

Aparentemente as instruções no site referenciado estão corretas.
Ubuntu 20.04 é 64 bits.
Pacotes são de 32 bits.
Baixe os pacotes corretos de 64 bits.
Dpkg, se nada mudou, não resolve dependências.
Use o instalador gráfico de pacotes Gdebi, se ele existir em seu sistema (qual?).


8. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 18:46h


sudo dpkg -i *.deb 


Faltou o asterisco no seu comando.
Se for apenas um arquivo, basta copiar o nome e fazer o mesmo procedimento:

sudo dpkg -i arquivo_de_programa.deb 
[/quote]


Bem, eu digitei o código corretamente, e gerou esse erro: ( lembrando q eu abri a pasta com todos os arquivos no terminal e rodei o código "sudo dpkg -i *.deb".)

...
Mais de uma cópia do pacote epson-inkjet-printer-escpr:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
Mais de uma cópia do pacote epson-printer-utility:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
dpkg: problemas com dependências impedem a configuração de epson-inkjet-printer-escpr:i386:
epson-inkjet-printer-escpr:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-inkjet-printer-escpr:i386 (--install):
problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de epson-printer-utility:i386:
epson-printer-utility:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-printer-utility:i386 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
Erros foram encontrados durante o processamento de:
epson-inkjet-printer-escpr:i386
epson-printer-utility:i386
[/quote]

sudo apt -f install[/quote]

Espere, esse código removeria o driver problemático. Obviamente isso resolveria o problema, mas isso é seguro? No site que eu estava vendo (coloquei o link na pergunta)não dizia se tinha algum problema se eu remover um driver, mas e se tiver?



9. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 18:54h


PernalongaC escreveu:


sudo dpkg -i *.deb 


Faltou o asterisco no seu comando.
Se for apenas um arquivo, basta copiar o nome e fazer o mesmo procedimento:

sudo dpkg -i arquivo_de_programa.deb 



Bem, eu digitei o código corretamente, e gerou esse erro: ( lembrando q eu abri a pasta com todos os arquivos no terminal e rodei o código "sudo dpkg -i *.deb".)

...
Mais de uma cópia do pacote epson-inkjet-printer-escpr:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
Mais de uma cópia do pacote epson-printer-utility:i386 foi desempacotada
nesta execução! Configurando-o somente uma vez.
dpkg: problemas com dependências impedem a configuração de epson-inkjet-printer-escpr:i386:
epson-inkjet-printer-escpr:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-inkjet-printer-escpr:i386 (--install):
problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de epson-printer-utility:i386:
epson-printer-utility:i386 depende de lsb (>= 3.2).

dpkg: erro ao processar o pacote epson-printer-utility:i386 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
Erros foram encontrados durante o processamento de:
epson-inkjet-printer-escpr:i386
epson-printer-utility:i386
[/quote]

sudo apt -f install[/quote]

Espere, esse código removeria o driver problemático. Obviamente isso resolveria o problema, mas isso é seguro? No site que eu estava vendo (coloquei o link na pergunta)não dizia se tinha algum problema se eu remover um driver, mas e se tiver?
[/quote]

Ah, esqueça, eu acabei de ver que no site está dizendo que dá esse erro mesmo e que eu tenho de usar esse código


10. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Pernalonga Capitalista
PernalongaC

(usa Outra)

Enviado em 02/03/2021 - 18:58h


PernalongaC escreveu:

Então, eu tava tentando instalar minha impressora epson aqui no meu ubuntu 20.04, e segundo esse site aqui https://linuxdicasesuporte.blogspot.com/2018/08/instalar-multifuncional-epson-no-ubuntu_24.html eu tenho que instalar os drivers dela no site da epson e fazer mais algumas coisa tbm (recomendo q vc leia o artigo desse site), o problema é q quando eu chego nessa parte do "sudo dpkg -i .deb", dá esse erro:

[email protected]:~/Downloads/Impressora$ sudo dpkg -i .deb
[sudo] senha para pernalongacapitalista:
dpkg: erro: não pode aceder ao arquivo '.deb': Arquivo ou diretório inexistente

Oq faço?


!!Novo erro!!
Bem, eu fiz oq o site mandou, usei o sudo apt -f install, porém quando chego na parte de usar o tar -xvzf *.tar.gz, aparece esse erro:

[email protected]:~/Downloads/Impressora$ tar -xvzf *.tar.gz
tar: imagescan-bundle-ubuntu-20.04-3.65.0.x64.deb (1).tar.gz: Não foi encontrado no arquivo-tar
tar: imagescan-bundle-ubuntu-20.04-3.65.0.x64.deb.tar.gz: Não foi encontrado no arquivo-tar
tar: Saindo com status de falha em razão de erros anteriores



11. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

Paulo Jr
Pebis

(usa Debian)

Enviado em 02/03/2021 - 21:10h


qual o modelo da impressora?



12. Re: Erro ao rodar os códigos "sudo dpkg -i .deb"

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 03/03/2021 - 01:21h


PernalongaC escreveu:


PernalongaC escreveu:

Então, eu tava tentando instalar minha impressora epson aqui no meu ubuntu 20.04, e segundo esse site aqui https://linuxdicasesuporte.blogspot.com/2018/08/instalar-multifuncional-epson-no-ubuntu_24.html eu tenho que instalar os drivers dela no site da epson e fazer mais algumas coisa tbm (recomendo q vc leia o artigo desse site), o problema é q quando eu chego nessa parte do "sudo dpkg -i .deb", dá esse erro:

[email protected]:~/Downloads/Impressora$ sudo dpkg -i .deb
[sudo] senha para pernalongacapitalista:
dpkg: erro: não pode aceder ao arquivo '.deb': Arquivo ou diretório inexistente

Oq faço?


!!Novo erro!!
Bem, eu fiz oq o site mandou, usei o sudo apt -f install, porém quando chego na parte de usar o tar -xvzf *.tar.gz, aparece esse erro:

[email protected]:~/Downloads/Impressora$ tar -xvzf *.tar.gz
tar: imagescan-bundle-ubuntu-20.04-3.65.0.x64.deb (1).tar.gz: Não foi encontrado no arquivo-tar
tar: imagescan-bundle-ubuntu-20.04-3.65.0.x64.deb.tar.gz: Não foi encontrado no arquivo-tar
tar: Saindo com status de falha em razão de erros anteriores

Verifique se o arquivo tar.gz não está corrompido




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts